weka.gui.beans

## Class SQLViewerPerspective

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - weka.gui.beans.SQLViewerPerspective

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, KnowledgeFlowApp.KFPerspective

      public class SQLViewerPerspective
      extends javax.swing.JPanel
      implements KnowledgeFlowApp.KFPerspective

  Simple Knowledge Flow perspective that wraps the SqlViewer class
  Version:
    $Revision: 11286 $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.BaselineResizeBehavior`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.JComponent

      `TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SQLViewerPerspective()` Constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `acceptsInstances()` Returns true if this perspective accepts instances
    `javax.swing.Icon` | `getPerspectiveIcon()` Get the icon for this perspective.
    `java.lang.String` | `getPerspectiveTipText()` Get the tool tip text for this perspective.
    `java.lang.String` | `getPerspectiveTitle()` Get the title of this perspective
    `static void` | `main(java.lang.String[] args)` Main method for testing this class
    `void` | `setActive(boolean active)` Set active status of this perspective.
    `void` | `setInstances(Instances insts)` Set instances (if the perspective accepts them)
    `void` | `setLoaded(boolean loaded)` Set whether this perspective is "loaded" - i.e.
    `void` | `setMainKFPerspective(KnowledgeFlowApp.MainKFPerspective main)` Set a reference to the main KnowledgeFlow perspective - i.e.

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SQLViewerPerspective

          public SQLViewerPerspective()

      Constructor

  - ### Method Detail

    - #### setInstances

          public void setInstances(Instances insts)
                            throws java.lang.Exception

      Set instances (if the perspective accepts them)
      Specified by:
        `setInstances` in interface `KnowledgeFlowApp.KFPerspective`
      Parameters:
        `insts` - the instances
      Throws:
        `java.lang.Exception`

    - #### acceptsInstances

          public boolean acceptsInstances()

      Returns true if this perspective accepts instances
      Specified by:
        `acceptsInstances` in interface `KnowledgeFlowApp.KFPerspective`
      Returns:
        true if this perspective can accept instances

    - #### getPerspectiveTitle

          public java.lang.String getPerspectiveTitle()

      Get the title of this perspective
      Specified by:
        `getPerspectiveTitle` in interface `KnowledgeFlowApp.KFPerspective`
      Returns:
        the title of this perspective

    - #### getPerspectiveTipText

          public java.lang.String getPerspectiveTipText()

      Get the tool tip text for this perspective.
      Specified by:
        `getPerspectiveTipText` in interface `KnowledgeFlowApp.KFPerspective`
      Returns:
        the tool tip text for this perspective

    - #### getPerspectiveIcon

          public javax.swing.Icon getPerspectiveIcon()

      Get the icon for this perspective.
      Specified by:
        `getPerspectiveIcon` in interface `KnowledgeFlowApp.KFPerspective`
      Returns:
        the Icon for this perspective (or null if the perspective does not have an icon)

    - #### setActive

          public void setActive(boolean active)

      Set active status of this perspective. True indicates that this perspective is the visible active perspective in the KnowledgeFlow
      Specified by:
        `setActive` in interface `KnowledgeFlowApp.KFPerspective`
      Parameters:
        `active` - true if this perspective is the active one

    - #### setLoaded

          public void setLoaded(boolean loaded)

      Set whether this perspective is "loaded" - i.e. whether or not the user has opted to have it available in the perspective toolbar. The perspective can make the decision as to allocating or freeing resources on the basis of this.
      Specified by:
        `setLoaded` in interface `KnowledgeFlowApp.KFPerspective`
      Parameters:
        `loaded` - true if the perspective is available in the perspective toolbar of the KnowledgeFlow

    - #### setMainKFPerspective

          public void setMainKFPerspective(KnowledgeFlowApp.MainKFPerspective main)

      Set a reference to the main KnowledgeFlow perspective - i.e. the perspective that manages flow layouts.
      Specified by:
        `setMainKFPerspective` in interface `KnowledgeFlowApp.KFPerspective`
      Parameters:
        `main` - the main KnowledgeFlow perspective.

    - #### main

          public static void main(java.lang.String[] args)

      Main method for testing this class
      Parameters:
        `args` - command line arguments